Commit 4685464e authored by Ian Lynagh's avatar Ian Lynagh
Browse files

The bootstrapping compiler is now required to be > 609

parent 129e7b91
......@@ -104,9 +104,6 @@ Library
if flag(stage1)
Include-Dirs: stage1
if impl(ghc < 6.9)
Build-Depends: extensible-exceptions
Extensions: PatternSignatures
else
if flag(stage2)
Include-Dirs: stage2
......
......@@ -50,11 +50,7 @@ import UniqFM
import MonadUtils
import Control.Monad ( zipWithM )
import Data.List
#if __GLASGOW_HASKELL__ > 609
import Data.Data ( Data, Typeable )
#else
import Data.Generics ( Data, Typeable )
#endif
\end{code}
-----------------------------------------------------
......
......@@ -8,11 +8,7 @@ module Exception
import Prelude hiding (catch)
#if __GLASGOW_HASKELL__ < 609
import Control.Exception.Extensible as Control.Exception
#else
import Control.Exception
#endif
catchIO :: IO a -> (IOException -> IO a) -> IO a
catchIO = catch
......
......@@ -24,11 +24,7 @@ import Util
import Data.Bits
import Data.Word ( Word8 )
#if __GLASGOW_HASKELL__ > 609
import Data.Data
#else
import Data.Generics
#endif
-- | Represents a serialized value of a particular type. Attempts can be made to deserialize it at certain types
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment